org.apache.poi.util

## Class ArrayUtil

- java.lang.Object
- - org.apache.poi.util.ArrayUtil

-     public class ArrayUtil
      extends java.lang.Object

  Utility classes for dealing with arrays.
  Author:
    Glen Stampoultzis

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArrayUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `arraycopy(byte[] src, int src_position, byte[] dst, int dst_position, int length)` This is really a debugging version of `System.arraycopy()`.
    `static void` | `arrayMoveWithin(java.lang.Object[] array, int moveFrom, int moveTo, int numToMove)` Moves a number of entries in an array to another point in the array, shifting those inbetween as required.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArrayUtil

          public ArrayUtil()

  - ### Method Detail

    - #### arraycopy

          public static void arraycopy(byte[] src,
                                       int src_position,
                                       byte[] dst,
                                       int dst_position,
                                       int length)

      This is really a debugging version of `System.arraycopy()`. Use it to provide better exception messages when copying arrays around. For production use it's better to use the original for speed.

    - #### arrayMoveWithin

          public static void arrayMoveWithin(java.lang.Object[] array,
                                             int moveFrom,
                                             int moveTo,
                                             int numToMove)

      Moves a number of entries in an array to another point in the array, shifting those inbetween as required.
      Parameters:
        `array` - The array to alter
        `moveFrom` - The (0 based) index of the first entry to move
        `moveTo` - The (0 based) index of the positition to move to
        `numToMove` - The number of entries to move

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.